# Danologia. Trudne aspekty

Repozytorium z kodem do książki "Danologia. Trudne aspekty".


### Wskazówki instalowania python

Jeśli nie masz doświadczenia z pythonem, zalecam pobranie [dystrybucji Anaconda](https://docs.anaconda.com/anaconda/install/). Zastosuj się do przedstawionych tam instrukcji.

### Struktura

Cały kod jest zapisany w notatnikach Jupytera dla poszczególnych rozdziałów (instrukcje pobierania [tu](https://jupyter.org/install)) z serwisu Github.

###  Spis treści
##### Część 1. Techniki analityki danych
* **Rozdział 1.**: *I co z tego?* 
* **Rozdział 2.**: *Projektowanie wskaźników* 
* **Rozdział 3.**: *[Dekompozycje wzrostu](/R03_dekompozycje_wzrostu.ipynb)*
* **Rozdział 4.**: *Projekty 2x2* 
* **Rozdział 5.**: *Tworzenie uzasadnienia biznesowego*
* **Rozdział 6.**: *[Czym jest wskaźnik przyrostu?](/R06_wsk_przyrostu.ipynb)*
* **Rozdział 7.**: *Narracje*
* **Rozdział 8.**: *[Wizualizacje danych](/R08_wizualizacje.ipynb)*
##### Część 2: Uczenie maszynowe
* **Rozdział 9.**: *[Symulacje i bootstrapping](/R09_symulacje.ipynb)*
* **Rozdział 10.**: *[Regresja liniowa](/R10_regresja_liniowa.ipynb)*
* **Rozdział 11.**: *[Wyciekanie danych](/R11_wyciekanie_danych.ipynb)*
* **Rozdział 12.**: *[Stosowanie modeli w środowisku produkcyjnym](/R12_stosowanie.ipynb)*
* **Rozdział 13.**: *[Opowiadanie historii w uczeniu maszynowym](/R13_opowiadanie_historii.ipynb)* 
* **Rozdział 14.**: *[Od predykcji do decyzji](/R14_decyzje.ipynb)*
* **Rozdział 15.**: *[Zmiany dodatkowe?](/R15_zmiany_dodatkowe.ipynb)*
* **Rozdział 16.**: *[Testy A/B](/R16_testy_ab.ipynb)*
* **Rozdział 17.**: *[Modele LLM i praktyka danologii](/R17_modele_llm.ipynb)*  

### Substack
Niedawno zacząłem publikować artykuły na [substack](https://decisionmatrix.substack.com/). Powiązany kod znajdziesz [tutaj](https://github.com/dvaughan79/data-science-hard-parts-code/tree/main/substack).
